summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author B. Watson2023-01-28 11:37:36 +0100
committer Willy Sudiarto Raharjo2023-02-04 01:19:48 +0100
commit8b29cc49a9bb9999014e61e1c4bd97bddfe09f3f (patch)
tree6cbd246f2ddeac2fe9016cacad8ed0dba4271fd8 /desktop
parente36aacf3e93382653192596230f92b31721d4e86 (diff)
downloadslackbuilds-8b29cc49a9bb9999014e61e1c4bd97bddfe09f3f.tar.gz
desktop/wmcellauto: Added (Win Maker dockapp for cellular automata)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/wmcellauto/README8
-rw-r--r--desktop/wmcellauto/slack-desc19
-rw-r--r--desktop/wmcellauto/wmcellauto.SlackBuild87
-rw-r--r--desktop/wmcellauto/wmcellauto.info10
4 files changed, 124 insertions, 0 deletions
diff --git a/desktop/wmcellauto/README b/desktop/wmcellauto/README
new file mode 100644
index 0000000000..7f4f37f22e
--- /dev/null
+++ b/desktop/wmcellauto/README
@@ -0,0 +1,8 @@
+wmcellauto (Window Maker dockapp for displaying cellular automata)
+
+wmcellauto is a cellular automata simulator which runs in a 64x64
+window, intended to be used with the WindowMaker dock (though it will
+run in any window manager).
+
+The default cellular automata type is the classic Conway's Life, but
+quite a few other types are supported.
diff --git a/desktop/wmcellauto/slack-desc b/desktop/wmcellauto/slack-desc
new file mode 100644
index 0000000000..4e2859503c
--- /dev/null
+++ b/desktop/wmcellauto/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wmcellauto: wmcellauto (Window Maker dockapp for displaying cellular automata)
+wmcellauto:
+wmcellauto: wmcellauto is a cellular automata simulator which runs in a 64x64
+wmcellauto: window, intended to be used with the WindowMaker dock (though it will
+wmcellauto: run in any window manager).
+wmcellauto:
+wmcellauto:
+wmcellauto:
+wmcellauto:
+wmcellauto:
+wmcellauto:
diff --git a/desktop/wmcellauto/wmcellauto.SlackBuild b/desktop/wmcellauto/wmcellauto.SlackBuild
new file mode 100644
index 0000000000..a9295d1fcd
--- /dev/null
+++ b/desktop/wmcellauto/wmcellauto.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/bash
+
+# Slackware build script for wmcellauto
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=wmcellauto
+VERSION=${VERSION:-0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+autoreconf -if
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+gzip -9 $PKG/usr/man/man*/*
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a COPYING *.md $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/wmcellauto/wmcellauto.info b/desktop/wmcellauto/wmcellauto.info
new file mode 100644
index 0000000000..da2473cfaa
--- /dev/null
+++ b/desktop/wmcellauto/wmcellauto.info
@@ -0,0 +1,10 @@
+PRGNAM="wmcellauto"
+VERSION="0.1"
+HOMEPAGE="https://github.com/d-torrance/wmcellauto/"
+DOWNLOAD="https://github.com/d-torrance/wmcellauto/archive/v0.1/wmcellauto-0.1.tar.gz"
+MD5SUM="5040a7d2b44f3286a6d90852a457b7c2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libdockapp"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"